## wmi 0.1.6

=== Samba/source/winexe/winexesvc/Makefile ===
CFLAGS=-mno-cygwin -Os
LDFLAGS=-mno-cygwin -s -Os

CC := $(shell uname | grep -qi linux && echo i586-mingw32msvc-gcc || echo gcc)

LD=$(CC)

all: winexesvc_exe.c

winexesvc.exe: winexesvc.o service.o
	$(LD) $(LDFLAGS) -o $@ $^

winexesvc_exe.c: winexesvc.exe bin2c.exe
	./bin2c.exe winexesvc_exe winexesvc.exe > $@

bin2c.exe: bin2c.c
	gcc -s -o $@ $^

clean:
	-@rm *.exe *.o winexesvc_exe.c

=== Samba/source/lib/appweb/ejs-2.0/ejs/Makefile ===
#
#	Makefile for Embedded Javascript (EJS) 
#
#	Copyright (c) Mbedthis Software LLC, 2003-2006. All Rights Reserved.
#

#
#	Ejs may be linked into shared handlers so we must build the objects both
#	shared and static if --shared was specified to configure.
#
COMPILE			:= *.c
EXPORT_OBJECTS	:= yes
PRE_DIRS		:= classes system db
MAKE_IFLAGS		:= -I../mpr -I../exml

include 		make.dep

ifeq 			($(BLD_PRODUCT),ejs)
POST_DIRS		:= package
endif

ifeq 			($(BLD_FEATURE_TEST),1)
POST_DIRS		+= test
endif

ifeq 			($(BLD_FEATURE_EJS_DB),1)
LIBS			+= sqlite
endif

TARGETS			+= $(BLD_BIN_DIR)/libejs$(BLD_LIB)
TARGETS			+= $(BLD_BIN_DIR)/ejs$(BLD_EXE)

ifeq 			($(BLD_FEATURE_EJS),1)
compileExtra: $(TARGETS)
endif

$(BLD_BIN_DIR)/libejs$(BLD_LIB): files \
	$(shell BLD_OBJ=$(BLD_OBJ) \; BLD_OBJ_DIR=$(BLD_OBJ_DIR) \; \
		eval echo `cat files`)
	@bld --library $(BLD_BIN_DIR)/libejs \
		--objectsDir $(BLD_OBJ_DIR) --objectList files \
		--libs "exml mpr $(LIBS)"

$(BLD_BIN_DIR)/ejs$(BLD_EXE): $(BLD_BIN_DIR)/libejs$(BLD_LIB) \
		$(BLD_BIN_DIR)/libmpr$(BLD_LIB) \
		$(BLD_BIN_DIR)/libejs$(BLD_LIB) $(FILES)
	@bld --executable $(BLD_BIN_DIR)/ejs$(BLD_EXE) \
		--rpath "$(BLD_PREFIX)/bin" \
		--preferStatic --smartLibs "ejs exml mpr $(LIBS)" \
		--objectsDir $(BLD_OBJ_DIR) \
		--objects "$(BLD_OBJ_DIR)/ejsCmd$(BLD_OBJ)"

cleanExtra:
	@echo "rm -f $(TARGETS)" | $(BLDOUT)
	@rm -f $(TARGETS)
	@rm -f $(BLD_BIN_DIR)/libejs.*

## Local variables:
## tab-width: 4
## End:
## vim: tw=78 sw=4 ts=4

=== Samba/source/lib/appweb/ejs-2.0/exml/Makefile ===
#
#	Makefile for Embedded XML (EXML)
#
#	Copyright (c) Mbedthis Software LLC, 2003-2006. All Rights Reserved.
#

#
#	EXML may be linked into shared handlers so we must build the objects both
#	shared and static.
#
COMPILE			:= *.c
EXPORT_OBJECTS	:= yes
MAKE_IFLAGS		:= -I../mpr

include 		make.dep

ifeq 			($(BLD_FEATURE_TEST),1)
POST_DIRS		:= test
endif

TARGETS			+= $(BLD_BIN_DIR)/libexml$(BLD_LIB)

ifeq 			($(BLD_FEATURE_XML),1)
compileExtra: $(TARGETS)
endif

# MOB -- remove when FEATURE_XML is defined
compileExtra: $(TARGETS)

$(BLD_BIN_DIR)/libexml$(BLD_LIB): $(FILES)
	@bld --library $(BLD_BIN_DIR)/libexml \
		--objectsDir $(BLD_OBJ_DIR) --objectList files --libs mpr

cleanExtra:
	@echo "rm -f $(TARGETS)" | $(BLDOUT)
	@rm -f $(TARGETS)
	@rm -f $(BLD_BIN_DIR)/libexml.*

## Local variables:
## tab-width: 4
## End:
## vim: tw=78 sw=4 ts=4

=== Samba/source/lib/appweb/ejs-2.0/ejs/system/UNIX/Makefile ===
#
#	Makefile to build the EJS Object Model for WIN
#
#	Copyright (c) Mbedthis Software LLC, 2003-2006. All Rights Reserved.
#

COMPILE			:= *.c 
EXPORT_OBJECTS	:= yes
MAKE_IFLAGS		:= -I../.. -I../../../mpr

include 	make.dep

compileExtra: .updated

.updated: $(FILES)
	@touch .updated

## Local variables:
## tab-width: 4
## End:
## vim: tw=78 sw=4 ts=4

## wmi 1.3.16

=== Samba/source/lib/appweb/ejs-2.0/mpr/Makefile ===
#
#	Makefile for the Mbedthis Portable Runtime (MPR) library 
#
#	Copyright (c) Mbedthis Software LLC, 2003-2006. All Rights Reserved.
#

COMPILE			:= *.c 
EXPORT_OBJECTS	:= yes

include 		make.dep

ifeq 			($(BLD_HOST_UNIX),1)
PRE_DIRS		= UNIX
else
PRE_DIRS		= $(BLD_HOST_OS)
endif

POST_DIRS		= package

TARGETS			+= $(BLD_BIN_DIR)/libmpr$(BLD_LIB)

compileExtra: $(TARGETS)

#
#	Build the mpr libraries
#
$(BLD_BIN_DIR)/libmpr$(BLD_LIB): files \
	$(shell BLD_OBJ=$(BLD_OBJ) \; BLD_OBJ_DIR=$(BLD_OBJ_DIR) \; \
		eval echo `cat files`)
	@bld --library $(BLD_BIN_DIR)/libmpr \
		--objectsDir $(BLD_OBJ_DIR) --objectList files

cleanExtra:
	@echo "rm -f $(TARGETS)" | $(BLDOUT)
	@rm -f $(TARGETS)
	@rm -f $(BLD_BIN_DIR)/libmpr.*

## Local variables:
## tab-width: 4
## End:
## vim: tw=78 sw=4 ts=4

=== Samba/source/lib/appweb/ejs-2.0/ejs/classes/Makefile ===
#
#	Makefile to build the EJS Classes
#
#	Copyright (c) Mbedthis Software LLC, 2003-2006. All Rights Reserved.
#

COMPILE			:= *.c
EXPORT_OBJECTS	:= yes
MAKE_IFLAGS		:= -I.. -I../../mpr -I../../exml

include 	make.dep

compileExtra: .updated

.updated: $(FILES)
	@touch .updated

## Local variables:
## tab-width: 4
## End:
## vim: tw=78 sw=4 ts=4

=== Samba/source/lib/appweb/ejs-2.0/ejs/system/Makefile ===
#
#	Makefile to build the EJS Object Model
#
#	Copyright (c) Mbedthis Software LLC, 2003-2006. All Rights Reserved.
#

COMPILE			:= *.c
EXPORT_OBJECTS	:= yes
MAKE_IFLAGS		:= -I.. -I../../mpr -I../../exml

include 	make.dep

ifeq 			($(BLD_HOST_UNIX),1)
PRE_DIRS		 = UNIX
else
PRE_DIRS		 = $(BLD_HOST_OS)
endif

compileExtra: .updated

.updated: $(FILES)
	@touch .updated

## Local variables:
## tab-width: 4
## End:
## vim: tw=78 sw=4 ts=4

=== Samba/source/lib/appweb/ejs-2.0/mpr/UNIX/Makefile ===
#
#	Makefile for the Mbedthis Portable Runtime (MPR) library for UNIX
#
#	Copyright (c) Mbedthis Software LLC, 2003-2006. All Rights Reserved.
#

COMPILE			:= *.c 
EXPORT_OBJECTS	:= yes
MAKE_IFLAGS		:= -I..

include 		make.dep

## Local variables:
## tab-width: 4
## End:
## vim: tw=78 sw=4 ts=4

=== Samba/source/lib/appweb/ejs-2.0/mpr/VXWORKS/Makefile ===
#
#	Makefile for the Mbedthis Portable Runtime (MPR) library for VXWORKS
#
#	Copyright (c) Mbedthis Software LLC, 2003-2006. All Rights Reserved.
#

COMPILE			:= *.c 
EXPORT_OBJECTS	:= yes
MAKE_IFLAGS		:= -I..

include 		make.dep

## Local variables:
## tab-width: 4
## End:
## vim: tw=78 sw=4 ts=4

=== Samba/source/lib/appweb/ejs-2.0/mpr/WIN/Makefile ===
#
#	Makefile for the Mbedthis Portable Runtime (MPR) library for Windows
#
#	Copyright (c) Mbedthis Software LLC, 2003-2006. All Rights Reserved.
#

COMPILE			:= *.c 
EXPORT_OBJECTS	:= yes
MAKE_IFLAGS		:= -I..

include 		make.dep

## Local variables:
## tab-width: 4
## End:
## vim: tw=78 sw=4 ts=4

=== debian/changelog ===
wmi (1.3.16-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 08 Sep 2023 17:41:57 +0200

wmi (1.3.16-0kali8) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Update standards version to 4.6.1, no changes needed.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.

  [ Steev Klimaszewski ]
  * Remove wrong upstream information
  * d/watch: Add fake upstream as there is no longer an upstream.
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Mon, 10 Apr 2023 00:07:32 -0500

wmi (1.3.16-0kali7) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Update email address
  * Add Uploaders

  [ Arnaud Rebillout ]
  * Add Conflicts: wmis

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 16 Aug 2022 09:15:29 +0700

wmi (1.3.16-0kali6) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * Refresh patches
  * Remove python requirement
  * Use debhelper-compat 13
  * Bump Standard-Version to 4.5.1
  * Build with hardening flags

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 18 Jun 2021 11:00:24 +0200

wmi (1.3.16-0kali5) kali-dev; urgency=medium

  * Fix pidl script for recent perl versions.

 -- Raphaël Hertzog <buxy@kali.org>  Wed, 09 Mar 2016 09:19:14 +0100

wmi (1.3.16-0kali4) kali-dev; urgency=medium

  * Update debian/rules to compile with GCC-5 (export
    DEB_CFLAGS_MAINT_APPEND=-std=gnu89)

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 03 Dec 2015 10:38:18 +0100

wmi (1.3.16-0kali3) kali-dev; urgency=medium

  * Disable gnutls because build fails in environment with gnutls available

 -- Raphaël Hertzog <buxy@kali.org>  Fri, 08 Aug 2014 16:49:24 +0000

wmi (1.3.16-0kali2) kali-dev; urgency=medium

  * Use CPP="gcc -E -ffreestanding" to avoid pre-includes which are
    confusing pidl. Without this it fails with:
    > Compiling ./librpc/idl/atsvc.idl
    > Failed to parse ./librpc/idl/atsvc.idl at ./pidl/pidl line 583.
    > /usr/include/stdc-predef.h:0: Syntax error near '3'


 -- Raphaël Hertzog <buxy@kali.org>  Thu, 07 Aug 2014 15:49:21 +0000

wmi (1.3.16-0kali1) kali; urgency=low

  * Initial release.

 -- Raphaël Hertzog <buxy@kali.org>  Fri, 21 Jun 2013 11:25:32 +0200

=== debian/control ===
Source: wmi
Section: net
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 13), autoconf, pkg-config
Standards-Version: 4.6.2

Package: wmi-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: wmis
Description: DCOM/WMI client implementation
 This DCOM/WMI client implementation is based on Samba4
 sources. It uses RPC/DCOM mechanisms to interact with WMI
 services on Windows 2000/XP/2003 machines.
 .
 This package contains the command line client to perform
 remote command execution on Windows systems.

# This package has not been resurrected.
#
#Package: python-wmi
#Architecture: any
#Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
#Description: DCOM/WMI client implementation, Python bindings
# This DCOM/WMI client implementation is based on Samba4
# sources. It uses RPC/DCOM mechanisms to interact with WMI
# services on Windows 2000/XP/2003 machines.
# .
# This package contains the Python bindings to wmi.

=== debian/rules ===
#!/usr/bin/make -f

MAKE_VARS = CPP="gcc -E -ffreestanding" USE_BREAKPAD= ZENHOME=/usr ZENOSS_BINDIR=/usr/bin WMI_BUILD_TARGETS="proto bin/wmic bin/wmis"

export DEB_CFLAGS_MAINT_APPEND=-std=gnu89
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_clean:
	$(MAKE) clean

override_dh_auto_configure:
	# Nothing

override_dh_auto_build:
	$(MAKE) pywmi-build $(MAKE_VARS)

override_dh_auto_install:
	install -D -m 755 Samba/source/bin/wmic debian/wmi-client/usr/bin/wmic
	install -D -m 755 Samba/source/bin/wmis debian/wmi-client/usr/bin/wmis

## wmi 20070517

=== Samba/source/winexe/winexesvc/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 CFLAGS=-mno-cygwin -Os
 LDFLAGS=-mno-cygwin -s -Os
 
-CC := $(shell uname | grep -qi linux && echo i586-mingw32msvc-gcc || echo gcc)
+CC := $(shell uname | grep -qi linux && echo i386-mingw32-gcc || echo gcc)
 
 LD=$(CC)
